Bug 484740 - prelink cron.daily script fails, log directory not created (F11/Alpha)
prelink cron.daily script fails, log directory not created (F11/Alpha)
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-09 13:57 EST by Andrew Hecox
Modified: 2010-06-28 07:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
create log directory if it doesn't exist, can be set in sysconfig/prelink as well (1.53 KB, patch)
2009-02-09 13:57 EST, Andrew Hecox
no flags Details | Diff

  None (edit)
Description Andrew Hecox 2009-02-09 13:57:58 EST
Created attachment 331346 [details]
create log directory if it doesn't exist, can be set in sysconfig/prelink as well

the F11 cron script does not check to see if it's log directory, /var/log/prelink, exists before writing to it, causing errors to be generated (as well as a lack of a log for the prelink session). 

The attached patch checks for a directory and creates it if it doesn't exist. As a side affect, the log directory can now be set in /etc/sysconfig/prelink, although I didn't document it there.
Comment 1 Andrew Hecox 2009-02-09 13:59:19 EST
patched script tested in F11/alpha using prelink-0.4.0-3.i386.
Comment 2 Mike Frysinger 2009-02-15 19:38:46 EST
for safety sake, might want to quote the path and use -p with mkdir:
[ ! -d "$logdir" ] && mkdir -p "$logdir"
+    echo /usr/sbin/prelink -uav > "$logdir"/prelink.log
Comment 3 Bug Zapper 2009-06-09 07:11:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 4 Bug Zapper 2010-04-27 08:54:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2010-06-28 07:13:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.